org.jbpm.services.ejb.client.impl

## Class JBossEJBClientServiceFactory

- java.lang.Object
- - org.jbpm.services.ejb.client.impl.JBossEJBClientServiceFactory

- All Implemented Interfaces:
    ClientServiceFactory

      public class JBossEJBClientServiceFactory
      extends Object
      implements ClientServiceFactory

  JBoss specific (AS 7 / EAP6 / WildFly 8) implementation of `ClientServiceFactory` that is responsible for remote EJB look up.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JBossEJBClientServiceFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()` Returns unique name of given factory implementation
    `<T> T` | `getService(String application, Class<T> serviceInterface)` Returns remote view of given service interface from selected application

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JBossEJBClientServiceFactory

          public JBossEJBClientServiceFactory()

  - ### Method Detail

    - #### getService

          public <T> T getService(String application,
                                  Class<T> serviceInterface)
                           throws NamingException

      Description copied from interface: `ClientServiceFactory`
      Returns remote view of given service interface from selected application
      Specified by:
        `getService` in interface `ClientServiceFactory`
      Parameters:
        `application` - application identifier on the container
        `serviceInterface` - remote service interface to be found
      Returns:
      Throws:
        `NamingException`

    - #### getName

          public String getName()

      Description copied from interface: `ClientServiceFactory`
      Returns unique name of given factory implementation
      Specified by:
        `getName` in interface `ClientServiceFactory`
      Returns:

Copyright © 2001–2018 JBoss by Red Hat. All rights reserved.